View Issue Details

IDProjectCategoryView StatusLast Update
0003360GNUnetcadet servicepublic2018-06-07 00:25
ReporterMatthias WachsAssigned ToBart Polot 
PriorityhighSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003360: Crash with mesh
DescriptionMultiple crashes in mesh over the weekend, running revision 32887, ~ April 3 2014:

mwachs@fulcrum:/tmp/cores$ gdb ~/coding/gnunet/src/mesh/.libs/gnunet-service-mesh core.gnunet-service-.13555.fulcrum.1396554553
GNU gdb (GDB) 7.6.1-ubuntu
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/mwachs/coding/gnunet/src/mesh/.libs/gnunet-service-mesh...done.

warning: core file may not match specified executable file.
[New LWP 13555]

warning: Can't read pathname for load map: Input/output error.
Core was generated by `/home/mwachs/coding/gnb/lib//gnunet/libexec/gnunet-service-mesh -c /home/mwachs'.
Program terminated with signal 11, Segmentation fault.
#0 0x000000000040ab01 in GMT_get_cstate (t=0xdf0adba0df0adba) at gnunet-service-mesh_tunnel.c:2337
2337 return t->cstate;
(gdb) bt
#0 0x000000000040ab01 in GMT_get_cstate (t=0xdf0adba0df0adba) at gnunet-service-mesh_tunnel.c:2337
#1 0x0000000000410618 in GMC_handle_create (cls=0x0, peer=0x7fff024907e4, message=0x7fff02490804)
    at gnunet-service-mesh_connection.c:1601
#2 0x00007f05c00f6a97 in main_notify_handler (cls=0x2200280, msg=0x7fff024907e0) at core_api.c:942
#3 0x00007f05c051fc5f in receive_task (cls=0x21ffb40, tc=0x7fff02490950) at client.c:595
#4 0x00007f05c055b0d4 in run_ready (rs=0x2212460, ws=0x22124f0) at scheduler.c:595
#5 0x00007f05c055b95c in GNUNET_SCHEDULER_run (task=0x7f05c0567dd6 <service_task>, task_cls=0x7fff02490be0) at scheduler.c:817
#6 0x00007f05c0569bbe in GNUNET_SERVICE_run (argc=3, argv=0x7fff02490f58, service_name=0x42f601 "mesh",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x42a100 <run>, task_cls=0x0) at service.c:1493
#7 0x000000000042a488 in main (argc=3, argv=0x7fff02490f58) at gnunet-service-mesh.c:175
(gdb)
TagsNo tags attached.

Relationships

related to 0003361 closedBart Polot Crash in mesh 

Activities

Matthias Wachs

2014-04-07 09:18

manager   ~0008192

1 crash in 4 days

Bart Polot

2014-04-07 11:18

manager   ~0008197

Could you provide "p/x *c" in step 1? Or just a "bt full" :)
Thanks!

Bart Polot

2014-04-14 14:15

manager   ~0008239

Seems to be same problem as 0003361, use-after-free of a connection while handling a create message. Most probably solved in r33030.

Issue History

Date Modified Username Field Change
2014-04-07 09:13 Matthias Wachs New Issue
2014-04-07 09:13 Matthias Wachs Status new => assigned
2014-04-07 09:13 Matthias Wachs Assigned To => Bart Polot
2014-04-07 09:13 Matthias Wachs Summary Reading symbols from /home/mwachs/coding/gnunet/src/mesh/.libs/gnunet-service-mesh...done. warning: core file may not match spe => Crash with mesh
2014-04-07 09:18 Matthias Wachs Note Added: 0008192
2014-04-07 10:32 Christian Grothoff Priority normal => high
2014-04-07 10:32 Christian Grothoff Severity minor => crash
2014-04-07 10:32 Christian Grothoff Product Version => SVN HEAD
2014-04-07 10:32 Christian Grothoff Target Version => 0.10.1
2014-04-07 11:18 Bart Polot Note Added: 0008197
2014-04-07 11:18 Bart Polot Status assigned => feedback
2014-04-07 20:36 Christian Grothoff Target Version 0.10.1 =>
2014-04-11 15:19 Christian Grothoff Target Version => 0.11.0pre66
2014-04-14 14:15 Bart Polot Note Added: 0008239
2014-04-14 14:15 Bart Polot Status feedback => resolved
2014-04-14 14:15 Bart Polot Fixed in Version => 0.11.0pre66
2014-04-14 14:15 Bart Polot Resolution open => fixed
2014-04-14 14:15 Bart Polot Relationship added related to 0003361
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2018-06-07 00:25 Christian Grothoff Status resolved => closed